#pragma once

#include <Base_Packet.h>

namespace inaf::oasbo::Packets {

class AstriMaGeneric : public inaf::oasbo::PacketLib::BasePacket {

public:
	AstriMaGeneric(inaf::oasbo::PacketLib::BasePacketStructure &structure) : BasePacket(structure){}
	uint getHeaderSize() const override;
	uint getPayloadSize() const override;
	uint getTailSize() const override;
	bool isRecognizedHeader() const override;
	bool isRecognizedHeader(std::vector<uint8_t> buff) const override;
};
}
